Teams

Teams are created on the workspace. Users and missions can be assigned to teams.

The team object

{
  "id": "483b5713-37e4-4e55-bdca-77c122825a33",
  "createdAt": "2025-03-07T13:22:11.587Z",
  "updatedAt": "2025-03-07T13:22:11.587Z",
  "title": "Designers"
}

Fields

Field

Type

Description

id

string

The unique identifier of the team.

createdAt

ISODate

The date when the team was created.

updatedAt

ISODate

The date when the team was last updated.

title

string

The team name

List teams

curl -X GET "https://api.ideanote.io/v1/teams?fields=id,title" \
     -H "Content-Type: application/json" \
     -H "Authorization: Bearer <API Token>"
const result = await fetch("https://api.ideanote.io/v1/teams?fields=id,title", {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "Bearer <API Token>",
  }
});

const teams = await result.json();
The above command returns JSON structured like this:
[
  {},
  {}
]

This endpoint lists teams.

HTTP Request

GET /v1/teams

Get team

curl -X GET "https://api.ideanote.io/v1/teams/483b5713-37e4-4e55-bdca-77c122825a33?fields=id,title" \
     -H "Content-Type: application/json" \
     -H "Authorization: Bearer <API Token>"
const result = await fetch("https://api.ideanote.io/v1/teams/483b5713-37e4-4e55-bdca-77c122825a33?fields=id,title", {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "Bearer <API Token>",
  }
});

const team = await result.json();
The above command returns JSON structured like this:
{}

This endpoint retrieves a specific team.

HTTP Request

GET /v1/teams/:team_id

Query Parameters

Parameter

Description

team_id

The ID of the team to retrieve

Create team

curl -X POST "https://api.ideanote.io/v1/teams?fields=id,title" \
     -H "Content-Type: application/json" \
     -H "Authorization: Bearer <API Token>" \
     -d '{"title":"Development"}'
const result = await fetch("https://api.ideanote.io/v1/teams?fields=id,title", {
  method: "POST",
  body: {
    "title": "Development"
  },
  headers: {
    "Content-Type": "application/json",
    "Authorization": "Bearer <API Token>",
  }
});

const teams = await result.json();
The above command returns JSON structured like this:
{}

This endpoint creates a new team.

HTTP Request

POST /v1/teams

Update team

curl -X PUT "https://api.ideanote.io/v1/teams/483b5713-37e4-4e55-bdca-77c122825a33?fields=id,title" \
     -H "Content-Type: application/json" \
     -H "Authorization: Bearer <API Token>" \
     -d '{"title":"Reviewers"}'
const result = await fetch("https://api.ideanote.io/v1/teams/483b5713-37e4-4e55-bdca-77c122825a33?fields=id,title", {
  method: "PUT",
  body: {
    "title": "Reviewers"
  },
  headers: {
    "Content-Type": "application/json",
    "Authorization": "Bearer <API Token>",
  }
});

const team = await result.json();
The above command returns JSON structured like this:
{}

This endpoint updates a specific team

HTTP Request

PUT /v1/teams/:team_id

Query Parameters

Parameter

Description

team_id

The ID of the team to update

Delete team

curl -X DELETE "https://api.ideanote.io/v1/teams/483b5713-37e4-4e55-bdca-77c122825a33" \
     -H "Content-Type: application/json" \
     -H "Authorization: Bearer <API Token>"
const result = await fetch("https://api.ideanote.io/v1/teams/483b5713-37e4-4e55-bdca-77c122825a33", {
  method: "DELETE",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "Bearer <API Token>",
  }
});

This endpoint deletes a specific team

HTTP Request

DELETE /v1/teams/:team_id

Query Parameters

Parameter

Description

team_id

The ID of the team to delete